package com.raven.resbuild.configtools;

import com.raven.resbuild.ResBuildMain;
import org.bukkit.Server;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.Plugin;

import java.io.File;
import java.util.List;

public class ConfigFactory {
    private Plugin plugin;
    public ConfigFactory(Plugin plugin){
        this.plugin = plugin;
    }

    public static void loadConfig(Plugin plugin) {
        try {
            File configFile = new File(plugin.getDataFolder(), "config.yml");
            if (!configFile.exists()) {
                plugin.saveDefaultConfig();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static boolean getUnableWorlds(String worldName){
        FileConfiguration config = ResBuildMain.getPlugin().getConfig();
        List<String> worldList = config.getStringList("Worlds");
        for(int i=0;i<worldList.size();i++){
            if(worldName.equals(worldList.get(i))){
                return true;
            }
        }
        return false;
    }

    public void reloadConfig(){
        plugin.reloadConfig();
    }
}
