package com.raven.resbuild.listener;

import com.bekvon.bukkit.residence.Residence;
import com.bekvon.bukkit.residence.protection.ClaimedResidence;
import com.bekvon.bukkit.residence.protection.ResidencePermissions;
import com.raven.resbuild.configtools.ConfigFactory;
import org.bukkit.ChatColor;
import org.bukkit.Location;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;
import org.bukkit.event.block.BlockPlaceEvent;

public class OnPlayerBuildListener implements Listener {
    Residence residence = Residence.getInstance();
    @EventHandler(priority = EventPriority.HIGH)
    public void onDestoryListener(BlockBreakEvent event){
        Player player = event.getPlayer();
        if(player.hasPermission("rsb.build")){
        }else{
            Location loc = event.getBlock().getLocation();
            ClaimedResidence res = residence.getResidenceManager().getByLoc(loc);
            String worldName = event.getBlock().getWorld().getName();
            if(res!=null){
                ResidencePermissions perms = res.getPermissions();
                String playerName = event.getPlayer().getName();
                boolean defaultValue = true;
                boolean hasPermission = perms.playerHas(playerName, "build", defaultValue);
                if(!hasPermission) {
                    event.setCancelled(true);
                }
            }else{
                if(ConfigFactory.getUnableWorlds(worldName)){
                    event.setCancelled(true);
                    player.sendMessage("§c§l在当前世界，你只能在领地中建筑!");
                }
            }
        }
    }

    @EventHandler(priority = EventPriority.HIGH)
    public void onBuildListener(BlockPlaceEvent event){
        Player player = event.getPlayer();
        if(player.hasPermission("rsb.build")){
        }else{
            Location loc = event.getBlock().getLocation();
            ClaimedResidence res = residence.getResidenceManager().getByLoc(loc);
            String worldName = event.getBlock().getWorld().getName();
            if(res!=null){
                ResidencePermissions perms = res.getPermissions();
                String playerName = event.getPlayer().getName();
                boolean defaultValue = true;
                boolean hasPermission = perms.playerHas(playerName, "build", defaultValue);
                if(!hasPermission) {
                    event.setCancelled(true);
                }
            }else{
                if(ConfigFactory.getUnableWorlds(worldName)){
                    event.setCancelled(true);
                    player.sendMessage("§c§l在当前世界，你只能在领地中建筑!");
                }
            }
        }
    }
}
